# $Revision: 1.25 $, $Date: 2010/08/21 19:08:02 $
%include	/usr/lib/rpm/macros.php
%define		_class		I18N
%define		_status		stable
%define		_pearname	%{_class}

Summary:	%{_pearname} - internationalization package
Summary(pl.UTF-8):	%{_pearname} - pakiet wspomagający umiędzynarodowienie
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d8a108080fa2c871a0750ca6139b5028
Patch0:		%{name}-path_fix.patch
URL:		http://pear.php.net/package/I18N/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-22
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Translate)'

%description
This package supports you to localize your applications. Currently
multiple ways of supporting translation are implemented and methods to
determine the current users (browser-)language.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet pozwoli ci zlokalizować twoje aplikacje. Aktualnie wiele
sposobów na wspieranie języków jest zaimplementowanych oraz metod do
określania języka/przeglądarki aktualnego użytkownika.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}/%{_class}
%patch0 -p2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/Messages/
%dir %{php_pear_dir}/%{_class}/Common/
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Messages/*.php
%{php_pear_dir}/%{_class}/Common/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-I18N.spec,v $
Revision 1.25  2010/08/21 19:08:02  glen
- updated deps with pearize.sh
- release 2

Revision 1.24  2010/08/20 13:00:08  glen
- updated to: 1.0.0
- release: 1

Revision 1.23  2008/01/31 12:17:39  glen
- rel 7

Revision 1.22  2007-11-22 20:03:12  glen
- I18N moved to php-pear; rel 6

Revision 1.21  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.19  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.18  2006/03/29 22:29:38  glen
- rel 5 (rebuild with less deps)

Revision 1.17  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.16  2005/10/05 20:11:14  glen
- rel 4

Revision 1.15  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.14  2004/12/04 22:13:33  adamg
- fix path to I18N/Messages/Common.php in I18N/Messages/File.php
- release 3

Revision 1.13  2004/12/03 22:17:02  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.12  2004/10/24 18:31:00  paladine
- spelling fixes, uppercases, etc.

Revision 1.11  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.10  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.9  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.7  2003/08/07 09:59:01  adamg
- updated to 0.8.6

Revision 1.6  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.5  2003/05/28 08:58:39  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/07 23:30:58  blues
- 0.8.3 - STBR to Ra-updates with php-4.3.0

Revision 1.2  2003/01/07 21:25:25  blues
- info about status, missing dir

Revision 1.1  2002/11/08 15:09:55  blues
- initial release - STBR
